@type    : 'global';
@element : 'site';

@import (multiple) '../../theme.config';

.link {
  text-decoration: none;
  color: @secondaryColor;
  margin: 0.75rem 0;
  display: inline-block;

  &:hover {
    transition: color 0.2s ease;
    color: darken(@secondaryColor, 20%);

    .type {
      transition: background-color 0.2s ease;
      background-color: darken(@secondaryColor, 10%);
    }
  }
}

.type {
  font-size: 0.75em;
  margin-right: 0.3em;
  padding: 0.1em 0.2em;
  background-color: @secondaryColor;
  color: white;
  border-radius: 2px;
  position: relative;
  top: -1px;
}
